aboutsummaryrefslogtreecommitdiffstats
path: root/testing/perl-cairo/APKBUILD
diff options
context:
space:
mode:
authorFrancesco Colista <francesco.colista@gmail.com>2012-10-29 09:25:20 +0000
committerFrancesco Colista <francesco.colista@gmail.com>2012-10-29 09:25:20 +0000
commit69663fd0886a0be021600e753f4ffb07ce0b46e3 (patch)
tree727da9dc936f69f231497af2592a0a16359aab17 /testing/perl-cairo/APKBUILD
parentc35930784cf088aa727fb82c9c26763117b2c49e (diff)
downloadaports-69663fd0886a0be021600e753f4ffb07ce0b46e3.tar.gz
aports-69663fd0886a0be021600e753f4ffb07ce0b46e3.tar.bz2
aports-69663fd0886a0be021600e753f4ffb07ce0b46e3.tar.xz
testing/perl-cairo: new aport
Diffstat (limited to 'testing/perl-cairo/APKBUILD')
-rw-r--r--testing/perl-cairo/APKBUILD42
1 files changed, 42 insertions, 0 deletions
diff --git a/testing/perl-cairo/APKBUILD b/testing/perl-cairo/APKBUILD
new file mode 100644
index 0000000000..8b554054e0
--- /dev/null
+++ b/testing/perl-cairo/APKBUILD
@@ -0,0 +1,42 @@
+# Automatically generated by apkbuild-cpan, template 1
+# Contributor: Francesco Colista <francesco.colista@gmail.com>
+# Maintainer: Francesco Colista <francesco.colista@gmail.com>
+pkgname=perl-cairo
+_pkgreal=Cairo
+pkgver=1.101
+pkgrel=0
+pkgdesc="Perl module for Cairo"
+url="http://search.cpan.org/dist/Cairo/"
+arch="all"
+license="GPL PerlArtistic"
+cpandepends=""
+cpanmakedepends="perl-extutils-depends perl-extutils-pkgconfig"
+depends="$cpandepends"
+makedepends="perl-dev cairo-dev $cpanmakedepends"
+subpackages="$pkgname-doc"
+source="http://search.cpan.org/CPAN/authors/id/T/TS/TSCH/$_pkgreal-$pkgver.tar.gz"
+
+_builddir="$srcdir/$_pkgreal-$pkgver"
+
+prepare() {
+ cd "$_builddir"
+ if [ -e Build.PL ]; then
+ perl Build.PL installdirs=vendor || return 1
+ else
+ PERL_MM_USE_DEFAULT=1 perl Makefile.PL INSTALLDIRS=vendor || return 1
+ fi
+}
+
+build() {
+ cd "$_builddir"
+ export CFLAGS=`perl -MConfig -E 'say $Config{ccflags}'`
+ make && make test
+}
+
+package() {
+ cd "$_builddir"
+ make DESTDIR="$pkgdir" install || return 1
+ find "$pkgdir" \( -name perllocal.pod -o -name .packlist \) -delete
+}
+
+md5sums="f17ed922e1ed92ff016d159eb10dae27 Cairo-1.101.tar.gz"